PHP Manual
Prev |  | Next

# DOMElement->setIdAttributeNode()

(no version information, might be only in CVS)

DOMElement->setIdAttributeNode() -- Declares the attribute specified by node to be of type ID

## Description

class DOMElement {
void setIdAttributeNode ( DOMAttr attr, bool isId )
}

Declares the attribute specified by `attr` to be of type ID.

## Parameters

`attr`

  The attribute node.

`isId`

  Set it to `TRUE` if you want `name` to be of type ID, `FALSE` otherwise.

## Return Values

No value is returned.

## Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NOT_FOUND`

  Raised if `name` is not an attribute of this element.

## See Also

DOMDocument->getElementById()
DOMElement->setIdAttribute()
DOMElement->setIdAttributeNS()

Prev | Home | Next
DOMElement->setIdAttribute() | Up | DOMElement->setIdAttributeNS()